# compact (surface)

## Name

compact (surface) — Is a normal surface/hypersurface compact?

## Synopsis

Content Model

    compact ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

A `compact` (surface) element stores whether or not a normal surface or hypersurface is compact. Here compact has the following meaning: a normal surface in a 3-manifold triangulation is compact if it contains finitely many normal discs, and a normal hypersurface in a 4-manifold triangulation is compact if it contains finitely many normal pieces.

### Parents

The following elements contain `compact` (in the context of the compactness of a normal surface/hypersurface): `hypersurface`, `surface`.

### Children

Element `compact` (in the context of the compactness of a normal surface/hypersurface) has no children.

## Attributes

`value`

  Either `T` or `F`, according to whether the parent (hyper)surface is or is not compact.